Setup Dfns integration.
curl --request PUT \
--url https://sandbox-api.borderless.xyz/v1/organizations/integrations/dfns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appId": "ap-66rrf-kcjqj-8ppri8f3aa4h6opn",
"authToken": "eyJ1eXAiOiJKV1QiLCJhbGciOiJFZERTQSJ9..."
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/organizations/integrations/dfns"
payload = {
"appId": "ap-66rrf-kcjqj-8ppri8f3aa4h6opn",
"authToken": "eyJ1eXAiOiJKV1QiLCJhbGciOiJFZERTQSJ9..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appId: 'ap-66rrf-kcjqj-8ppri8f3aa4h6opn',
authToken: 'eyJ1eXAiOiJKV1QiLCJhbGciOiJFZERTQSJ9...'
})
};
fetch('https://sandbox-api.borderless.xyz/v1/organizations/integrations/dfns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "<string>",
"integrationNetworkAddresses": [
{
"address": "<string>"
}
]
}Integrations Config
Setup Dfns integration.
deprecated
Create Dfns integration to configure the connection with the Dfns workspace.
PUT
/
v1
/
organizations
/
integrations
/
dfns
Setup Dfns integration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The Dfns application ID. Learn more about configuration at Dfns Configuration Guide.
Required string length:
31 - 50Example:
"ap-66rrf-kcjqj-8ppri8f3aa4h6opn"
The Dfns authentication token. Learn more about configuration at Dfns Configuration Guide.
Required string length:
256 - 1024Example:
"eyJ1eXAiOiJKV1QiLCJhbGciOiJFZERTQSJ9..."
Was this page helpful?
⌘I